News:

Looking for documentation? Take a look on our wiki

Main Menu

Pre-Update Check for Joomla 4.3.2

Started by MAD King, June 10, 2023, 17:14:59 PM

Previous topic - Next topic

MAD King

Trying to upgrade to J 4 but I get a lot or red notes.

VirtueMart 4.0.22 10864
Joomla! 3.10.11
Joomla! 4.3.4
VirtueMart 4.2.4 10922

jenkinhill

4.0.22 works just fine on J4 - I don't know about the download plugin.  Obviously, test on a backup first.
Kelvyn
Lowestoft, Suffolk, UK

Retired from forum life November 2023

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

MAD King

Joomla! 4.3.4
VirtueMart 4.2.4 10922

scottstreet

GoDaddy Hosting made the update easy!
I just did my upgrade to PHP 7.4 -> 8.1
Joomla 3.10.12 -> 4.3
And now Virtuemart... It's on 4.0.6 but all the associated modules like Search are stuck around 3.8 and they will not update.

Error is "Failed to extract file: index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost"

Anyone have a good idea here?

Site is working OK, except for some errors at the top of this page:
https://biotechequipmentsales.com/equipment-for-sale

Errors are:
Deprecated: Automatic conversion of false to array is deprecated in /home/beqsaleshost/public_html/administrator/components/com_virtuemart/models/product.php on line 1337
Repeated 3x !

Again, anyone with a good idea?

hotrod

I would take that to PHP 8.0   give that a try
Bronze Member
VirtueMart 4.2.4 10922
Joomla!  ‎4.3.4
PHP 8.0

jenkinhill

Quote from: scottstreet on August 04, 2023, 03:30:09 AM


Error is "Failed to extract file: index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost"



Suggests an attempt to install a full starter package rather than a VM update for which membership is required.
http://forum.virtuemart.net/index.php?topic=149754.msg535653#msg535653
Kelvyn
Lowestoft, Suffolk, UK

Retired from forum life November 2023

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum